<?php

namespace Appweb\Libraries;

use Appweb\Configuracao;

class Configuracoes
{

    private $config = [];

    public function __construct()
    {
        $this->_init();
    }

    private function _init()
    {
        $configuracao = new Configuracao();
        $configs      = $configuracao->orderBy('Config')->get();
        if ($configs->count() > 0) {
            foreach ($configs as $config) {
                $this->config[$config->Config] = $config->Ativo;
            }
        }
    }

    public function get($config)
    {
        if (array_key_exists($config, $this->config)) {
            if ($this->config[$config] == 1) {
                return true;
            }
            return false;
        }
        return false;
    }

    public function __get($config)
    {
        if (array_key_exists($config, $this->config)) {
            if ($this->config[$config] == 1) {
                return true;
            }
            return false;
        }
        return false;
    }

    public function __set($config, $value)
    {

    }
}