<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterCaixaProvisionadoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caixa_provisionado', function (Blueprint $table) {
            $table->integer('mes')->nullable();
            $table->integer('ano')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caixa_provisionado', function ($table) {
            $table->dropColumn('mes');
            $table->dropColumn('ano');
        });
    }
}
