<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdensDeServicoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ordens_de_servicos', function (Blueprint $table) {
            $table->increments('id');
            $table->dateTime('data')->nullable();
            $table->dateTime('data_entrega')->nullable();
            $table->dateTime('data_compra')->nullable();
            $table->string('nf', 64)->nullable();
            $table->string('marca', 40)->nullable();
            $table->string('referencia', 50)->nullable();
            $table->integer('quantidade_itens')->nullable();
            $table->string('pulseira', 20)->nullable();
            $table->smallInteger('retorno')->nullable();
            $table->double('total', 10,2)->nullable();
            $table->string('servicos_gratuitos', 255)->nullable();
            $table->integer('cliente_id')->nullable();
            $table->integer('vendedor_id')->nullable();
            $table->text('observacoes')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('ordens_de_servicos');
    }
}
