	
	$("#area-troco").hide();
	$("#area-parcelas").hide();
	$("#area-parcelas-promissoria").hide();
	$("#area-bandeiras").hide();

	$("#val-dinheiro, #val-cartao, #val-entrada, #parcelas, #parcelas-promissoria").click(function() {

		$(this).select();

	});

	// À vista

	$("#val-dinheiro").keyup(function() {

		dinheiro = $("#val-dinheiro").val().replace(".", "").replace(",", ".");
		cartao = $("#val-cartao").val().replace(".", "").replace(",", ".");
		valorPedido = $("#valor-total-pedido").html().replace(".", "").replace(",", ".");
		troco = dinheiro - valorPedido;
		novaSoma = valorPedido - cartao;
		trocoNovo = parseFloat(dinheiro) - parseFloat(novaSoma);

		if ( $.trim($(this).val()).length == 0 || parseFloat(dinheiro) == 0 ) {

			$("#area-troco").hide();

		}
		
		if ( parseFloat(dinheiro) > parseFloat(valorPedido) ) {
			
			if ( parseFloat(troco) <= 0 ) {

				$("#val-troco").html("");
				$("#area-troco").hide();

			} else {

				$("#area-troco").show();
				$("#val-troco").html(number_format(troco.toFixed(2), 2,',','.'));

			}

		} else {

			$("#val-troco").html("");

		}
		
		if ( parseFloat(cartao) > 0 ) {

			if ( parseFloat(trocoNovo) <= 0 ) {

				$("#val-troco").html("");
				$("#area-troco").hide();

			} else {
				
				$("#area-troco").show();
				$("#val-troco").html(number_format(trocoNovo.toFixed(2), 2,',','.'));
				
			}

		} 

	});
	
	$("#val-cartao").click(function() {

		focoCalculoRestanteCartao();

	});

	$("#val-cartao").focusin(function() {

		focoCalculoRestanteCartao();

	});

    $("#val-cartao").keyup(function() {
		
		cartao = $("#val-cartao").val().replace(".", "").replace(",", ".");
		dinheiro = $("#val-dinheiro").val().replace(".", "").replace(",", ".");
		valorPedido = $("#valor-total-pedido").html().replace(".", "").replace(",", ".");
		troco = dinheiro - valorPedido;
		novaSoma = valorPedido - cartao;
		trocoNovo = dinheiro - novaSoma;

		if ( $.trim($(this).val()).length == 0 || parseFloat(cartao) == 0 ) {

			$("#area-troco").hide();

		}

		if ( parseFloat(cartao) > 0 ) {

			$("#area-bandeira").show();

		}

		if ( parseFloat(trocoNovo) <= 0 || $.trim($(this).val()).length == 0 || parseFloat(cartao) > parseFloat(valorPedido) ) {

			$("#val-troco").html("");
			$("#area-troco").hide();
			$("#area-bandeira").show();
			$("#parcelas").val("");

			if ( parseFloat(dinheiro) > parseFloat(valorPedido) ) {

				$("#area-troco").show();
				$("#val-troco").html(number_format(trocoNovo.toFixed(2), 2,',','.'));

			}

			return false;

		}

		if ( parseFloat(trocoNovo) > 0 ) {

			$("#area-troco").show();
			$("#val-troco").html(number_format(trocoNovo.toFixed(2), 2,',','.'));
			
		}

	});

	$('#modal-valorInconsistente').on('hidden.bs.modal', function() {
			  	
  		if (parseFloat(cartao) > 0) {

  			$("#val-troco").html("");
  			$("#area-troco").hide();
  			$("#val-cartao").val("0,00").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);

  		} else {

  			$("#val-troco").html("");
  			$("#area-troco").hide();
  			$("#val-dinheiro").val("0,00").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);

  		}

	});

	$("#parcelas").keyup(function() {

		calculaParcelamento();

	});

	$("#parcelas").change(function() {

		calculaParcelamento();

	});

	$("#parcelas-promissoria").keyup(function() {

		calculaParcelamentoPromissoria();

	});

	$("#parcelas-promissoria").change(function() {

		calculaParcelamentoPromissoria();

	});


	function focoCalculoRestanteCartao() {

		dinheiro = $("#val-dinheiro").val().replace(".", "").replace(",", ".");
		valorPedido = $("#valor-total-pedido").html().replace(".", "").replace(",", ".");
		troco = dinheiro - valorPedido;
		trocoX = valorPedido - dinheiro;

		if (parseFloat(dinheiro) < parseFloat(valorPedido)) {

			$("#area-bandeira").show();
			$("#val-cartao").val(number_format(trocoX.toFixed(2), 2,',','.'));
			$("#area-troco").hide();

		} else {

			$("#area-parcelas").hide();
			$("#area-bandeira").hide();

		}

	}

	function calculaParcelamento() {

		if ( $.trim($("#parcelas").val()).length > 0 ) {

			parcelas = $("#parcelas").val();
			// dinheiro = $("#val-dinheiro").val().replace(".", "").replace(",", ".");
			cartao = $("#val-cartao").val().replace(".", "").replace(",", ".");
			// valorPedido = $("#valor-total-pedido").html().replace(".", "").replace(",", ".");
			parcelamento = parseFloat(cartao) / parseFloat(parcelas);

			if (parseFloat(parcelamento) > 0) {

				$("#area-parcelas").show();
				$("#val-parcelamento").html(number_format(parcelamento.toFixed(2), 2,',','.'));

			} else {

				$("#area-parcelas").hide();
				
			}

		}		

	}

	function calculaParcelamentoPromissoria() {

		if ( $.trim($("#parcelas-promissoria").val()).length > 0 ) {

			parcelas2 = $("#parcelas-promissoria").val();
			dinheiro2 = parseFloat($("#val-entrada-dinheiro").val().replace(".", "").replace(",", "."));
			cartao2 = parseFloat($("#val-entrada-cartao").val().replace(".", "").replace(",", "."));
			total2 = $("#valor-total-pedido").html().replace(".", "").replace(",", ".");
			if (isNaN(dinheiro2)) {
	            dinheiro2 = 0
	        } else if (isNaN(cartao2)) {
	            cartao2 = 0
	        }
			parcelamento2 = (total2 - (parseFloat(cartao2) + parseFloat(dinheiro2))) / parseFloat(parcelas2);

			// alert(parcelas2)
			// alert(dinheiro2)
			// alert(cartao2)
			// alert(parcelamento2)
			if (parseFloat(parcelamento2) > 0) {

				$("#area-parcelas-promissoria").show();
				$("#val-parcelamento-promissoria").html(number_format(parcelamento2.toFixed(2), 2,',','.'));

			} else {

				$("#area-parcelas-promissoria").hide();
				
			}

		}		

	}

	function pagamentoAvista() {
		
	    pedido = $("#pedido-numero").val();
		dinheiro = $("#val-dinheiro").val().replace(".","").replace(",",".");
	    cartao = $("#val-cartao").val().replace(".","").replace(",",".");
	    total = $("#valor-total-pedido").html().replace(".","").replace(",",".");
	    troco = $("#val-troco").html().replace(".","").replace(",",".");

	    if (parseFloat(dinheiro) > 0 || parseFloat(cartao) > 0) {

		    if (parseFloat(dinheiro) > 0 || parseFloat(cartao) > 0) {

			    if (parseFloat(cartao) > 0) {

			    	soma = parseFloat(dinheiro) + parseFloat(cartao);

			      	if (parseFloat(dinheiro) > 0) {

			      		if (parseFloat(troco) > 0 || troco != "") {

			      			trocoX = parseFloat(dinheiro) - parseFloat(troco);

			      		} else {

			      			trocoX = parseFloat(dinheiro);

			      		}
			    		
			      		somaComCartao = parseFloat(trocoX) + parseFloat(cartao);

			    	} else {

			      		somaComCartao = parseFloat(cartao);

			    	}

			      	parcelas = $("#parcelas").val();
			      	somaX = somaComCartao;
					
					if ( parseFloat(cartao) > parseFloat(total) || parseFloat(somaComCartao.toFixed(2)) != parseFloat(total) ) {

						$('#modal-valorInconsistente').modal('show');

					} 

					if ( $.trim($("#parcelas").val()).length == 0 || parseInt($("#parcelas").val()) < 1 ) {

						$("#parcelas").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);
						$("#parcelas").focus().select();
						return false;

					}

					campoparcelas = $.isNumeric( $("#parcelas").val() );

			        if (!campoparcelas) {

						$("#parcelas").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);
						$("#parcelas").focus().select();
						return false;

					}

			    } else {

			    	if (parseFloat(dinheiro) < parseFloat(total)) {

						$("#val-dinheiro").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);
						return false;

					}

			    	soma = dinheiro;
			      	parcelas = "";
			      	somaX = soma - troco;
			      	
			    }

			    // alert(parseFloat(somaX).toFixed(2))
			    // alert(parseFloat(total).toFixed(2))

			    if (parseFloat(somaX).toFixed(2) == parseFloat(total).toFixed(2)) {

					return true;

			    } else {
			      	
			      	$('#modal-valorInconsistente').modal('show');
			      	
			      	$('#modal-valorInconsistente').on('hidden.bs.modal', function() {
					  	
			      		if (parseFloat(cartao) > 0) {

			      			$("#val-troco").html("");
			          		$("#area-troco").hide();
				  			$("#val-cartao").val("0,00").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);
			        		return false;

				  		} else {

				  			$("#val-troco").html("");
			          		$("#area-troco").hide();
				  			$("#val-dinheiro").val("0,00").focus().css({"outline" : "thin #f00", "outline-style" : "groove" }).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);
			        		return false;

				  		}

					});

					return false;

			    }

			}

		} else {

			if (aba.hasClass("active")) {

				trocaAba()

			}
			mensagem("Informe o valores para o recebimento")
			return false;

		}

	}
