    listarProdutos();
    $(function() {

        $("#valor-produto-novo").numeric(",");
        $("#valor-produto-novo").floatnumber(",",2);
    
    });

    // Produtos
        
    $('#bt-busca-produtos').on('click', function(e) {
        e.preventDefault();

        $("#modal-buscar-produtos").modal("show");

    });

    $("#bt-busca-produto-lupa").on('click', function(e) {
        e.preventDefault();

        produto     = $("#produto-busca").val();
        listarProdutos(produto);

    });

    $("#result-produtos").on("click", "#produto-adicionar", function() {

        referenciaitem = 0;
        referencia     = $(this).data('referencia');
        descricao      = $(this).data('descricao')

        $(this).closest('tr[id=box-itens-linha]').fadeOut(1000, function(){
            $(this).remove();
        });
        $('#referencia').val(referencia);
        $('#produto-descricao').val(descricao);
        $('#modal-buscar-produtos').modal('hide');
        localizaItemDescricao();

    });

    $("#bt-adicionar-produto").click(function(e) {
        e.preventDefault();

        $("#modal-produtos").modal("show");
        // listarProdutos();

    });

    $('#produto-busca').on('keypress', function(e) {
        var tecla = e.which;
        var produto = $(this).val()
        if (tecla === 13) {
            listarProdutos(produto);
        }
    });

    $('#modal-produtos').on('hidden.bs.modal', function(e) {
    
        $("#area-produto-novo").hide();
        produto = $("#produtos option:selected").text()

        if (produto == "Selecione") {

            $("#modal-produtos").modal("hide");
            $("#descricao-produto").html("");
            $("#descricao-produto").attr("data-id", 0);

        }
    });
    
    $("#bt-salvar-produto").click(function(e) {
        e.preventDefault();

        $(".mensagem-produto").html("").hide();
        referencia = $("#produto-referencia");
        descricao  = $("#produto-descricao");
        valor      = $("#valor-produto-novo");
        erro       = false;

        if (referencia.val() == '') {

            $(".mensagem-produto").html("O campo Referência está vazio.").show();
            alerta(referencia);
            erro = true;
            return false;

        } 
        
        if (descricao.val() == '') {

            $(".mensagem-produto").html("O campo Descrição está vazio.").show();
            alerta(descricao);
            erro = true;
            return false;

        } 
        
        if (valor.val() == '' || parseFloat(valor.val()) == 0.00) {

            $(".mensagem-produto").html("O Valor é inválido.").show();
            alerta(valor);
            erro = true;
            return false;

        } 

        if (erro == false) {

            $(".mensagem-produto").html("Salvando os dados...").show();
            
            // $('body').html($("#form-produto-novo").serialize()+baseURL+'pedidos/produto/novo')
            // $("#modal-produtos").modal("hide");
            // return false
            $.get(Config.baseURL + 'cadastros/produtos/adicionar', $("#form-produto-novo").serialize(), function(data) {

                // console.log(data)
                $(".mensagem-produto").hide();
                // $("#area-produto-novo").slideToggle("slow");
                
                $('#referencia').val(referencia.val());
                localizaItemDescricao();
                $("#modal-produtos").modal("hide");

            })
            .fail(function() { 

                $(".mensagem-produto").html("Verifique as informações do Produto ou se a referência é duplicada.").show();
                alerta(referencia);
                return false;
                
            }, 500);

        }

    });

    function listarProdutos(produto) {

        $.get(Config.baseURL + 'cadastros/produtos/listar-produtos', {

            busca: (produto !== 'undefined') ? produto : ''

        }, function(data) {

            $("div .box-loading").hide();
            $("#result-produtos").html(data).show();

        });

    }