@extends('layouts.default')

@section('content')
            
    <?php $disabled = (isset($categoria)) ? "disabled" : ""; ?>

    <div class="well-sm"></div>

    <div class="ibox-content">
        
        <h4 class=""><strong>Novo </strong></h4>

        <div class="hr-line-dashed"></div>

        @if (isset($categoria)) 
            {!! Form::open(array('url'=>'cadastros/categorias/produtos/atualizar/' . @$categoria->id, 'class'=>'form-horizontal')) !!}
        @else
            {!! Form::open(array('url'=>'cadastros/categorias/produtos/adicionar', 'class'=>'form-horizontal')) !!}
        @endif

        <fieldset>
            
           @include('pages.partials.alert-danger')

            <div class="row">

                <div class="col-xs-12 col-sm-6">
                        
                    <label class="control-label">Descrição</label>
                    <div class="form-group has-orange">
                        
                        {!! Form::text('descricao', @$categoria->descricao, array('class'=>'form-control', 'id'=>'')) !!}

                    </div>

                </div>

                <div class="col-sm-4 pull-right">

                    <label class="control-label">Situação</label>
                    
                    <div class="form-group">
                        <div class="checkbox">
                            <label class="">
                                <?php 
                                    if (isset($categoria->status) && $categoria->status) {
                                        $status = $categoria->status;
                                    } else if (!isset($categoria->status)) {
                                        $status = true;
                                    } else {
                                        $status = false;
                                    } 
                                ?>
                                {!! Form::checkbox('status', "1", $status) !!}
                                &nbsp;Ativa

                            </label>
                        </div>
                    </div>

                </div>
                
            </div> <!-- fim row -->

            <div class="hr-line-dashed"></div>

            <div class="row">
                
                <div class="pull-right col-sm-6 alinha-direita">

                    {!! Form::submit('Salvar', array('class'=>'btn btn-primary btn-sm', 'id'=>'')) !!}
                    <a href="{{ url('cadastros/categorias/produtos') }}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

                </div>

            </div> <!-- fim box-footer -->

        </fieldset>
        
        {!! Form::close() !!}
        
    </div> 

@endsection

@section('scripts')

@endsection