    
    <div class="row">
        
        <div class="col-xs-6">
            
            <h3 class="small">CLIENTE</h3>
            <span class="small bold">&nbsp; &nbsp;{!! $os->cliente->nome !!} </span>

        </div>

        <div class="col-xs-6 hack-top10 text-right pull-right">
            
            <small class="clearfix">ORDEM DE SERVIÇO</small> 
            
            <strong>{{ $os->id }}</strong>

        </div>

    </div> <!-- fim row -->

    <div class="row">
    
        @if (!empty($os->cliente->endereco) && !empty($os->cliente->bairro))
 
            <div class="col-xs-6">
                
                <span class="small">&nbsp; &nbsp;{!! @$os->cliente->endereco . " - " . $os->cliente->bairro !!}</span>
                <br>
                <span class="small">&nbsp; &nbsp;{{ @$os->cliente->cidade_cliente->nome }} - {{ @$os->cliente->estado_cliente->nome }}</span>

            </div>

        @endif

        <div class="col-xs-6">
            
            @if (!empty($os->cliente->telefone))
                <span class="small">&nbsp; &nbsp;{!! $os->cliente->telefone !!} @if (!empty($os->cliente->celular)) {{ " / " }} @endif</span>
            @endif
            @if (!empty($os->cliente->celular))
                <span class="small">&nbsp; &nbsp;{!! $os->cliente->celular !!} </span>
            @endif

        </div>

    </div> {{-- fim row --}}    

    <div class="row">
        
        <div class="col-sm-6">
            
            <span class="small">&nbsp; &nbsp;CPF/CNPJ:</span>
            <span class="small">&nbsp; &nbsp;{{ $os->cliente->cpfcnpj }}</span>

        </div>

    </div> <!-- fim row -->
        
    <div class="row">

        <div class="col-xs-3">
            
            <span class="small">MARCA:</span>
            <span class="small">&nbsp; &nbsp;{{ $os->marca }}</span>
            
        </div>

        <div class="col-xs-3">
            
            <span class="small">REFERÊNCIA:</span>
            <span class="small">&nbsp; &nbsp;{{ $os->referencia }}</span>

        </div>

        <div class="col-xs-3">
            
            <span class="small">PULSEIRA:</span>
            <span class="small">&nbsp; &nbsp;{{ $os->pulseira }}</span>

        </div>

        <div class="col-xs-3">
            
            <span class="small">NOTA FISCAL:</span>
            <span class="small">&nbsp; &nbsp;{{ $os->nf }}</span>

        </div>

    </div> {{-- fim row --}}

    <hr>
    
    <div class="row">
        
        <div class="col-xs-12">
            
            <h3 class="small">SERVIÇO</h3>
            <span class="small">&nbsp; &nbsp;{!! $os->observacoes !!} </span>

        </div>

    </div> <!-- fim row -->
    
    <hr>

    <div class="row">
        
        <div class="col-xs-3">
            
            <h3 class="small">DATA</h3>
            <span class="small">&nbsp; &nbsp;{!! Util::dataFormat($os->data) !!}</span>

        </div>

        <div class="col-xs-3">

            <h3 class="small">ENTREGA</h3>
            <span class="small">&nbsp; &nbsp;{!! Util::dataFormat($os->data_entrega) !!}</span>

        </div>
        
        <div class="col-xs-3">
            
            <h3 class="small">COMPRA</h3>
            <span class="small">&nbsp; &nbsp;@if ($os->data_compra != "0000-00-00 00:00:00") {!! Util::dataFormat($os->data_compra) !!} @else - @endif</span>

        </div>

        <div class="col-xs-3 pull-right text-right">
            
            <label class="small">Total</label>
            <h3 class="bold descricao-texto-sub-destaque text-default">
                @if ($os->retorno == 1) 
                    <span class="bold">RETORNO</span>
                @elseif ($os->total < 1)
                    <span class="bold">GARANTIA</span>
                @else
                    {!! Util::decimal2($os->total) !!}
                @endif
            </h3>

        </div>

    </div> <!-- fim row -->
    
    @if ($os->itens->count() > 0)
        
    <div class="well-sm bg-orange">
        
        <h4 class="margem-0">Itens</h4>
        
    </div>

    <hr>

        <?php $i = 1 ?>

        @foreach ($os->itens as $item)
            
            <div class="row padding-left5" id="box-itens-linha">
                
                <div class="col-xs-1 text-right">
                    
                    <div class="row top5 padding-right10">
                        
                        <span class="bold">{!! $i++ !!}</span>

                    </div>

                </div>

                <div class="col-xs-7" id="area-descricao-item">
                    
                    <h5 id="" class="bold margem-0">{!! $item->referencia !!}</h5>
                    <span class="ellipsis">
                        {!! $item->servico_descricao !!} 
                    </span>

                </div>

                <div class="col-xs-4 text-right">
                
                    <!-- <span class="padding-right4">
                        <strong>{!! Util::decimal2($item->quantidade * $item->valor) !!}  </strong>
                    </span> -->

                </div>

            </div> {{-- fim box-itens-linha --}}
            
            <div class="row">
                
                <div class="col-xs-12 hack-top2">
                    
                    <hr>

                </div>

            </div> {{-- fim row --}}
    
        @endforeach

    <div class="row">
        
        <div class="col-xs-12">
                    
            <label for="" class="control-label">Observações:</label>
            <hr>
            <h4 id="item-terminal">{!! @$os->observacoes !!}</h4> 

        </div>

    </div>

    <div class="row">
        
        <div class="col-xs-3 col-sm-2 direita text-right">
                
            <div class="top5 padding-right5">
                
                <a class="" href="#" id="bt-imprimir" title="Imprimir">
                <i class="fa fa-print fa-2x"></i>
                </a>
                    
            </div>

        </div>
        
    </div> {{-- fim row --}}

    @else
        
        {!! "" !!}

    @endif
