

    <!-- Popup - Produtos -->
    
    <div class="modal" id="modal-produtos" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <div class="modal-dialog">
        <div class="modal-content">
                
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Produto - Novo</h4>
            </div>
            <div class="modal-body">
                
                <form id="form-produto-novo" action="">
                    
                    <div class="row">
                        
                        <div class="col-xs-12 col-sm-3">
                        
                            <div class="control-group">
                                <label class="control-label">Referência</label>
                                <div class="form-group has-orange">

                                    {!! Form::text('referencia', null, array('class'=>'form-control empty', 'id'=>'produto-referencia')) !!} 

                                </div>

                            </div>
                            
                        </div>

                        <div class="col-xs-12 col-sm-9">
                        
                            <div class="control-group">
                                <label class="control-label">Descrição</label>
                                <div class="form-group has-orange">

                                    {!! Form::text('descricao', null, array('class'=>'form-control empty', 'id'=>'produto-descricao')) !!} 

                                </div>

                            </div>
                            
                        </div>
                        
                    </div>

                    <div class="row">
                    
                        <div class="col-xs-6 col-sm-6">
    
                            <label class="control-label">Valor Comum</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('valor', null, array('class'=>'form-control empty text-center', 'id'=>'valor-produto-novo')) !!}
            
                            </div>
            
                        </div>

                        <div class="col-xs-6 col-sm-6">
    
                            <label class="labels">Unidade</label>
                            <div class="form-group has-orange">
                                <?php 
            
                                    $unidades = array(
                                        'UN' => 'UN', 
                                        'MT' => 'MT', 
                                        'KG' => 'KG', 
                                        'LT' => 'LT',
                                        'PC' => 'PC',
                                        'CX' => 'CX' 
                                        );
            
                                ?>
                                {!! Form::select('unidade', $unidades, null, array('class' => 'form-control', 'id' => '')) !!}
            
                            </div>
            
                        </div>
                        
                    </div>

                </form> <!-- fim form-produto-novo -->

            </div>
            
            <div class="modal-footer">
                
                <div class="row">

                    <div class="col-xs-7 text-left">
                        
                        <span class="mensagem-produto"></span>

                    </div>

                    <div class="col-xs-5 text-right">
                        
                        <button class="btn btn-primary" title="Salvar" id="bt-salvar-produto">Salvar</button>
                        <button class="btn btn-default" onclick="" data-dismiss="modal" title="Cancelar"><i class="fa fa-reply"></i></button>

                    </div>
                    
                </div>
            
            </div> {{-- fim modal footer --}}

        </div><!-- /.modal-content -->

        </div><!-- /.modal-dialog -->

    </div><!-- /.modal -->
    