PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE "migrations" ("migration" varchar not null, "batch" integer not null);
INSERT INTO "migrations" VALUES('2014_10_12_000000_create_users_table',1);
INSERT INTO "migrations" VALUES('2014_10_12_100000_create_password_resets_table',1);
INSERT INTO "migrations" VALUES('2015_07_07_223459_create_pedidosvenda',1);
INSERT INTO "migrations" VALUES('2015_07_07_224751_create_pedidosservico',1);
INSERT INTO "migrations" VALUES('2015_07_07_225007_create_itenspedidosvenda',1);
INSERT INTO "migrations" VALUES('2015_07_07_225912_create_itenspedidosservico',1);
INSERT INTO "migrations" VALUES('2015_07_07_230104_create_itenspedidostemp',1);
INSERT INTO "migrations" VALUES('2015_07_08_230617_create_entradaprodutos',1);
INSERT INTO "migrations" VALUES('2015_07_08_232342_create_itensentradaprodutos',1);
INSERT INTO "migrations" VALUES('2015_07_08_232805_create_itensentradatemp',1);
INSERT INTO "migrations" VALUES('2015_07_08_233010_create_produtos',1);
INSERT INTO "migrations" VALUES('2015_07_08_233758_create_servicos',1);
INSERT INTO "migrations" VALUES('2015_07_09_212159_create_fornecedores',1);
INSERT INTO "migrations" VALUES('2015_07_09_213011_create_cidades',1);
INSERT INTO "migrations" VALUES('2015_07_09_213529_create_estados',1);
INSERT INTO "migrations" VALUES('2015_07_09_213752_create_contasreceber',1);
INSERT INTO "migrations" VALUES('2015_07_09_214340_create_contaspagar',1);
INSERT INTO "migrations" VALUES('2015_07_09_214840_create_clientes',1);
INSERT INTO "migrations" VALUES('2015_07_09_221419_create_categorias_produtos',1);
INSERT INTO "migrations" VALUES('2015_07_09_221650_create_categorias_servicos',1);
INSERT INTO "migrations" VALUES('2015_07_09_221902_create_caixavendas',1);
CREATE TABLE "users" ("id" integer not null primary key autoincrement, "nome" varchar not null, "login" varchar not null, "password" varchar not null, "nivel" varchar null, "comissao" float null, "comissaoextra" float null, "limitedesconto" float null, "cadastro" date null, "avatar" varchar null, "ativo" integer not null default '1', "remember_token" varchar null, "created_at" datetime not null, "updated_at" datetime not null);
INSERT INTO "users" VALUES(1,'Wandry Moura','wandry','$2y$10$CSC7GGY28Me./NR7Ug03hOJzi7Ke20WJjYvzme60qmEhUM2SDzH2K','Administrador',NULL,NULL,NULL,'2015-07-12 21:45:16',NULL,1,'S9CEYRtd46WzhPRmPojuekYUsXTYDQ8gNOeK79jKFJMmdsKz3eACNKX7a7AG','2015-07-12 21:45:16','2015-07-13 09:17:30');
CREATE TABLE "password_resets" ("email" varchar not null, "token" varchar not null, "created_at" datetime not null);
CREATE TABLE "pedidosvenda" ("id" integer not null primary key autoincrement, "data" date null, "previsaoentrega" date null, "previsaohorario" varchar null, "status" varchar null, "itens" integer null, "valorliquido" float null, "desconto" float null, "valorbruto" float null, "saldo" float null, "cliente" integer null, "vendedor" integer null, "observacoes" text null, "formapagamento" varchar not null);
INSERT INTO "pedidosvenda" VALUES(1,'2015-07-13 00:29:35','2015-07-13','','Pendente',1,9.9,NULL,NULL,9.9,3,1,'Teste','Dinheiro');
CREATE TABLE "pedidosservico" ("id" integer not null primary key autoincrement, "data" date null, "previsaoentrega" date null, "previsaohorario" varchar null, "status" varchar null, "itens" integer null, "valorliquido" float null, "desconto" float null, "valorbruto" float null, "saldo" float null, "cliente" integer null, "vendedor" integer null, "observacoes" text null, "formapagamento" varchar not null);
INSERT INTO "pedidosservico" VALUES(1,'2015-07-13 00:00:35','2015-07-12','','Pendente',1,10.0,NULL,NULL,10.0,3,1,'Teste','Dinheiro');
CREATE TABLE "itenspedidosvenda" ("id" integer not null primary key autoincrement, "pedido" integer null, "referencia" varchar null, "descricao" varchar null, "quantidade" integer null, "unidade" varchar null, "valor" float null, "desconto" float null, "subtotal" float null, "status" varchar null, "tamanho" float null, "cor" integer null, "observacoes" text null);
INSERT INTO "itenspedidosvenda" VALUES(1,1,'001','Produto Teste',1,'UN',9.9,NULL,9.9,NULL,NULL,NULL,NULL);
CREATE TABLE "itenspedidosservico" ("id" integer not null primary key autoincrement, "pedido" integer null, "referencia" varchar null, "descricao" varchar null, "quantidade" integer null, "unidade" varchar null, "valor" float null, "desconto" float null, "subtotal" float null, "status" varchar null, "tamanho" float null, "cor" integer null, "observacoes" text null);
INSERT INTO "itenspedidosservico" VALUES(1,1,'001','Serviço Teste',1,'UN',10.0,NULL,10.0,NULL,NULL,NULL,NULL);
CREATE TABLE "itenspedidostemp" ("id" integer not null primary key autoincrement, "data" date null, "referencia" varchar null, "descricao" varchar null, "quantidade" integer null, "unidade" varchar null, "valor" float null, "terminal" varchar null, "pedido" integer null);
CREATE TABLE "entradaprodutos" ("id" integer not null primary key autoincrement, "nf" varchar null, "data" date null, "fornecedor" integer null, "quantidadeitens" integer null, "total" float null, "usuario" integer null);
CREATE TABLE "itensentradaprodutos" ("id" integer not null primary key autoincrement, "entrada" integer null, "referencia" varchar null, "descricao" varchar null, "quantidade" integer null, "unidade" varchar null, "valor" float null, "desconto" float null, "subtotal" float null, "status" varchar null, "tamanho" float null, "cor" integer null, "observacoes" text null);
CREATE TABLE "itensentradatemp" ("id" integer not null primary key autoincrement, "data" date null, "referencia" varchar null, "descricao" varchar null, "quantidade" integer null, "unidade" varchar null, "terminal" varchar null, "pedido" integer null);
CREATE TABLE "produtos" ("id" integer not null primary key autoincrement, "referencia" varchar null, "codigobarra" varchar null, "descricao" varchar null, "unidade" varchar null, "categoria" integer null, "secao" integer null, "fornecedor" integer null, "fabricante" varchar null, "estoque" integer null, "ultimobalanco" integer null, "valorcompra" float null, "valor" float null, "valor2" float null, "valorprazo" float null, "valorprazo2" float null, "tipo" varchar null, "tamanho" float null, "cor" integer null, "observacoes" text null, "status" integer null);
INSERT INTO "produtos" VALUES(1,'001',NULL,'Produto Teste','UN','',NULL,'',NULL,100,NULL,NULL,9.9,'','','',NULL,NULL,NULL,NULL,NULL);
CREATE TABLE "servicos" ("id" integer not null primary key autoincrement, "referencia" varchar null, "descricao" varchar null, "unidade" varchar null, "categoria" integer null, "valor" float null, "valor2" float null, "valorprazo" float null, "valorprazo2" float null, "tipo" varchar null, "tamanho" float null, "cor" integer null, "observacoes" text null, "status" integer null);
INSERT INTO "servicos" VALUES(1,'001','Serviço Teste','UN',1,10.0,9.0,0.0,0.0,NULL,NULL,NULL,NULL,NULL);
CREATE TABLE "fornecedores" ("id" integer not null primary key autoincrement, "nome" varchar null, "endereco" varchar null, "bairro" varchar null, "cidade" integer null, "estado" integer null, "cep" varchar null, "telefone" varchar null, "telefone2" varchar null, "celular" varchar null, "celular2" varchar null, "cpfcnpj" varchar null, "rgie" varchar null, "email" varchar null, "vendedor" integer null, "cadastro" date null, "observacoes" text null, "ativo" integer null);
CREATE TABLE "cidades" ("id" integer not null primary key autoincrement, "codigo" integer null, "nome" varchar null, "estadocodigo" integer null, "estado" varchar null);
CREATE TABLE "estados" ("id" integer not null primary key autoincrement, "codigo" integer null, "nome" varchar null, "sigla" varchar null);
INSERT INTO "estados" VALUES(1,11,'Rondônia','RO');
INSERT INTO "estados" VALUES(2,12,'Acre','AC');
INSERT INTO "estados" VALUES(3,13,'Amazônia','AM');
INSERT INTO "estados" VALUES(4,14,'Roraima','RR');
INSERT INTO "estados" VALUES(5,15,'Pará','PA');
INSERT INTO "estados" VALUES(6,16,'Amapá','AP');
INSERT INTO "estados" VALUES(7,17,'Tocantins','TO');
INSERT INTO "estados" VALUES(8,21,'Maranhão','MA');
INSERT INTO "estados" VALUES(9,22,'Piauí','PI');
INSERT INTO "estados" VALUES(10,23,'Ceará','CE');
INSERT INTO "estados" VALUES(11,24,'Rio Grande do Norte','RN');
INSERT INTO "estados" VALUES(12,25,'Paraíba','PB');
INSERT INTO "estados" VALUES(13,26,'Pernambuco','PE');
INSERT INTO "estados" VALUES(14,27,'Alagoas','AL');
INSERT INTO "estados" VALUES(15,28,'Sergipe','SE');
INSERT INTO "estados" VALUES(16,29,'Bahia','BA');
INSERT INTO "estados" VALUES(17,31,'Minas Gerais','MG');
INSERT INTO "estados" VALUES(18,32,'Espírito Santo','ES');
INSERT INTO "estados" VALUES(19,33,'Rio de Janeiro','RJ');
INSERT INTO "estados" VALUES(20,35,'São Paulo','SP');
INSERT INTO "estados" VALUES(21,41,'Paraná','PR');
INSERT INTO "estados" VALUES(22,42,'Santa Catarina','SC');
INSERT INTO "estados" VALUES(23,43,'Rio Grande do Sul','RS');
INSERT INTO "estados" VALUES(24,50,'Mato Grosso do Sul','MS');
INSERT INTO "estados" VALUES(25,51,'Mato Grosso','MT');
INSERT INTO "estados" VALUES(26,52,'Goiás','GO');
INSERT INTO "estados" VALUES(27,53,'Distrito Federal','DF');
CREATE TABLE "contasreceber" ("id" integer not null primary key autoincrement, "cliente" integer null, "pedido" integer null, "lancamento" integer null, "documento" varchar null, "emissao" date null, "vencimento" date null, "pagamento" date null, "valor" float null, "valorpago" float null, "status" integer null);
CREATE TABLE "contaspagar" ("id" integer not null primary key autoincrement, "vencimento" date null, "pagamento" date null, "documento" varchar null, "fornecedor" integer null, "valor" float null, "valorpago" float null, "banco" varchar null, "vendedor" integer null, "observacoes" text null, "status" integer null);
CREATE TABLE "clientes" ("id" integer not null primary key autoincrement, "nome" varchar null, "endereco" varchar null, "bairro" varchar null, "cidade" integer null, "estado" integer null, "cep" varchar null, "telefone" varchar null, "telefone2" varchar null, "celular" varchar null, "celular2" varchar null, "sexo" varchar null, "mae" varchar null, "cpfcnpj" varchar null, "rgie" varchar null, "email" varchar null, "vendedor" integer null, "cadastro" date null, "observacoes" text null, "ativo" integer null);
INSERT INTO "clientes" VALUES(1,'Cliente Consumidor',NULL,NULL,NULL,NULL,NULL,'',NULL,'',NULL,NULL,NULL,'',NULL,'',1,NULL,NULL,NULL);
INSERT INTO "clientes" VALUES(2,'Cliente Teste',NULL,NULL,NULL,NULL,NULL,'',NULL,'',NULL,NULL,NULL,'',NULL,'',1,NULL,NULL,NULL);
INSERT INTO "clientes" VALUES(3,'Cliente Teste 2',NULL,NULL,NULL,NULL,NULL,'',NULL,'',NULL,NULL,NULL,'',NULL,'',1,NULL,NULL,NULL);
CREATE TABLE "categorias_produtos" ("id" integer not null primary key autoincrement, "codigo" integer null, "descricao" varchar null, "hint" integer null, "status" integer null);
INSERT INTO "categorias_produtos" VALUES(1,1,'Relógios',NULL,NULL);
INSERT INTO "categorias_produtos" VALUES(2,2,'Alianças',NULL,NULL);
INSERT INTO "categorias_produtos" VALUES(3,3,'Jóias',NULL,NULL);
CREATE TABLE "categorias_servicos" ("id" integer not null primary key autoincrement, "codigo" integer null, "descricao" varchar null, "hint" integer null, "status" integer null);
INSERT INTO "categorias_servicos" VALUES(1,1,'Conserto',NULL,NULL);
INSERT INTO "categorias_servicos" VALUES(2,2,'Troca/Montagem',NULL,NULL);
INSERT INTO "categorias_servicos" VALUES(3,3,'Peça/Acessório',NULL,NULL);
CREATE TABLE "caixavendas" ("id" integer not null primary key autoincrement, "registro" integer null, "data" date null, "formapagamento" varchar null, "tipomovimento" varchar null, "valor" float null, "cheque" varchar null, "parcelas" integer null, "parcelascartao" integer null, "bandeiracartao" varchar null, "status" varchar null, "observacoes" text null, "ativo" integer null, "movimento" varchar null);
DELETE FROM sqlite_sequence;
INSERT INTO "sqlite_sequence" VALUES('users',1);
INSERT INTO "sqlite_sequence" VALUES('produtos',1);
INSERT INTO "sqlite_sequence" VALUES('estados',27);
INSERT INTO "sqlite_sequence" VALUES('categorias_servicos',3);
INSERT INTO "sqlite_sequence" VALUES('categorias_produtos',3);
INSERT INTO "sqlite_sequence" VALUES('servicos',1);
INSERT INTO "sqlite_sequence" VALUES('itenspedidostemp',22);
INSERT INTO "sqlite_sequence" VALUES('clientes',3);
INSERT INTO "sqlite_sequence" VALUES('pedidosservico',1);
INSERT INTO "sqlite_sequence" VALUES('itenspedidosservico',1);
INSERT INTO "sqlite_sequence" VALUES('pedidosvenda',1);
INSERT INTO "sqlite_sequence" VALUES('itenspedidosvenda',1);
CREATE UNIQUE INDEX users_login_unique on "users" ("login");
CREATE INDEX password_resets_email_index on "password_resets" ("email");
CREATE INDEX password_resets_token_index on "password_resets" ("token");
COMMIT;
