<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePedidos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pedidos', function (Blueprint $table) {
            $table->increments('id');
            $table->dateTime('data')->nullable();
            $table->string('tipo', 20)->nullable();
            $table->string('status', 20)->nullable();
            $table->integer('quantidade_itens')->nullable();
            $table->double('valorliquido', 10,2)->nullable();
            $table->double('valorentrada', 10,2)->nullable();
            $table->double('desconto', 10,2)->nullable();
            $table->double('valorbruto', 10,2)->nullable();
            $table->double('saldo', 10,2)->nullable();
            $table->integer('cliente_id')->nullable();
            $table->integer('vendedor_id')->nullable();
            $table->date('previsaoentrega')->nullable();
            $table->string('previsaohorario', 8)->nullable();
            $table->text('observacoes')->nullable();
            $table->string('formapagamento',30);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('pedidos');
    }
}
