<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEntradaProdutosItens extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('entrada_produtos_itens', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('entrada')->nullable();
            $table->string('referencia', 13)->nullable();
            $table->string('descricao', 255)->nullable();
            $table->integer('quantidade')->nullable();
            $table->string('unidade', 3)->nullable();
            $table->double('valor', 10,2)->nullable();
            $table->double('desconto', 10,2)->nullable();
            $table->double('subtotal', 10,2)->nullable();
            $table->double('tamanho', 10,2)->nullable();
            $table->integer('cor')->nullable();
            $table->string('status', 20)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('entrada_produtos_itens');
    }
}
