
    listarClientes();

    // Clientes
        
    $('#bt-busca-clientes').on('click', function(e) {
        e.preventDefault();

        $("#modal-buscar-clientes").modal("show");

    });

    $("#bt-busca-cliente-lupa").on('click', function(e) {
        e.preventDefault();

        cliente     = $("#cliente-busca").val();
        listarClientes(cliente);

    });

    $("#result-clientes").on("click", "#cliente-adicionar", function() {

        codigoitem = 0;
        codigo     = $(this).data('codigo');
        nome       = $(this).data('nome')

        $(this).closest('tr[id=box-itens-linha]').fadeOut(1000, function(){
            $(this).remove();
        });
        $('#cliente').val(codigo);
        $('#cliente-nome').val(nome);
        $('#modal-buscar-clientes').modal('hide');

    });

    $("#bt-adicionar-cliente").click(function(e) {
        e.preventDefault();

        $("#modal-clientes").modal("show");
        // listarClientes();

    });

    $('#cliente-busca').on('keypress', function(e) {
        var tecla = e.which;
        var cliente = $(this).val()
        if (tecla === 13) {
            listarClientes(cliente);
        }
    });

    $('#modal-clientes').on('hidden.bs.modal', function(e) {
      
        $("#area-cliente-novo").hide();
        cliente = $("#clientes option:selected").text()

        if (cliente == "Selecione") {

            $("#modal-clientes").modal("hide");
            $("#descricao-cliente").html("");
            $("#descricao-cliente").attr("data-id", 0);

        }

    });

    $("#bt-salvar-cliente").click(function(e) {
        e.preventDefault();

        $(".mensagem-cliente").html("").hide();
        nome    = $("#cliente-nome-novo");
        cpfcnpj = $("#cliente-cpfcnpj");
        email   = $("#cliente-email").val();
        erro    = false;

        if (nome.val() == '') {

            $(".mensagem-cliente").html("O campo Nome está vazio.").show();
            alerta(nome);
            erro = true;
            return false;

        } 

        // if (checarEmail(email) == false) {
        //  $(".mensagem-erro").html("Email inválido.").show();
        //  alerta($("#cliente-email"));
        //  erro = true;
        //  return false;

        // }

        // if (checarCPFCNPJ(cpfcnpj.val()) == false) {

        //  $(".mensagem-erro").html("CPF/CNPJ inválido.").show();
        //  alerta(cpfcnpj);
        //  erro = true;
        //  return false;

        // }

        // if ($.trim(cpfcnpj.val()).length > 0) {

        //  $.ajax({
        //      type: "GET",
        //      url: baseURL + 'clientes/cpfcnpjExiste/'+cpfcnpj.val(),
        //      async: false,
        //      success: function(data){

        //          if (data == 1) {
        //              $(".mensagem-erro").html("CPF/CNPJ informado já está cadastrado.").show();
        //              alerta(cpfcnpj);
        //              erro = true;
        //              return false;

        //          }

        //      }

        //  });

        // }

        if (erro == false) {

            $(".mensagem-cliente").html("Salvando os dados...").show();
            
            // $('body').html($("#form-cliente-novo").serialize()+baseURL+'pedidos/cliente/novo')
            // $("#modal-clientes").modal("hide");
            // return false
            $.get(Config.baseURL + 'pedidos/cliente/novo', $("#form-cliente-novo").serialize(), function(data) {

                $(".mensagem-cliente").hide();
                // $("#area-cliente-novo").slideToggle("slow");
                
                $("#clientes").empty();

                $.getJSON(Config.baseURL + 'pedidos/listarClientes', { 
                    ajax: 'true' 
                }, function(j){
                    
                    // var options = '<option value="">Selecione</option>';    
                    // for (var i = 0; i < j.length; i++) {
                    //     // alert(j[0].Codigo)
                    //     options += '<option value="' + j[i].id + '">' + j[i].nome + '</option>';
                    // }
                    $('#cliente').val(data.id);
                    $('#cliente-nome').val(data.nome);
                    $("#modal-clientes").modal("hide");

                });

            });

        }

    });

    function listarClientes(cliente) {

        $.get(Config.baseURL + 'cadastros/clientes/listar-clientes', {

            busca: (cliente !== 'undefined') ? cliente : ''

        }, function(data) {

            $("div .box-loading").hide();
            $("#result-clientes").html(data).show();

        });

    }