

    <!-- Popup - Clientes -->
    
    <div class="modal" id="modal-clientes" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <div class="modal-dialog">
        <div class="modal-content">
                
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Cliente - Novo</h4>
            </div>
            <div class="modal-body">
                
                <form id="form-cliente-novo" action="">
                    
                    <div class="row">
                    
                        <div class="col-xs-12 col-sm-12">
                        
                            <div class="control-group">
                                <label class="control-label">Nome</label>
                                <div class="form-group has-orange">

                                    {!! Form::text('nome', null, array('class'=>'form-control empty', 'id'=>'cliente-nome-novo')) !!} 

                                </div>

                            </div>
                            
                        </div>
                        
                    </div>

                    <div class="row">
                        
                        <div class="col-xs-6 col-sm-8">

                            <label class="control-label">Endereço</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('endereco', null, array('class'=>'form-control empty', 'id'=>'')) !!}

                            </div>

                        </div>

                        <div class="col-xs-6 col-sm-4">
                        
                            <label class="control-label">Bairro</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('bairro', null, array('class'=>'form-control', 'id'=>'bairro')) !!}

                            </div>

                        </div>

                    </div>

                    <div class="row">

                        <div class="col-xs-6 col-sm-3">
                        
                            <label class="control-label">CEP</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('cep', null, array('class'=>'form-control text-center', 'id'=>'cliente-cep')) !!}

                            </div>

                        </div>
                        
                        <div class="col-xs-6 col-sm-5">
                    
                            <label class="labels">Cidade</label>
                            <div class="form-group has-orange">
                                <?php 

                                    $escolha = array(
                                        ''   => 'Escolha um estado',
                                        );

                                ?>
                                {!! Form::select('cidade', $escolha+$cidades, null, array('class' => 'form-control', 'id' => 'cidades')) !!}

                            </div>

                        </div>

                        <div class="col-xs-6 col-sm-4">
                    
                            <label class="labels">Estado</label>
                            <div class="form-group has-orange">
                                <?php 

                                    $escolha = array(
                                        ''   => 'Selecione',
                                        );

                                ?>
                                {!! Form::select('estado', $escolha+$estados, null, array('class' => 'form-control', 'id' => 'estados')) !!}

                            </div>

                        </div>
                        
                    </div>

                    <div class="row">
                        
                        <div class="col-xs-6">
                            
                            <div class="control-group">
                                <label class="control-label">Celular</label>
                                <div class="form-group has-orange">
                            
                                    {!! Form::text('celular', null, array('class'=>'form-control empty', 'id'=>'cliente-celular')) !!} 

                                </div>
                            </div>
                                
                        </div>

                        <div class="col-xs-6">
                                
                            <div class="control-group">
                                <label class="control-label">Fixo</label>
                                <div class="form-group has-orange">
                                    
                                    {!! Form::text('telefone', null, array('class'=>'form-control empty', 'id'=>'cliente-fixo')) !!} 
                                
                                </div>
                            </div>

                        </div>

                    </div> {{-- fim row --}}

                    <div class="row">
                        
                        <div class="col-xs-6">
                    
                            <div class="control-group">
                                <label class="control-label">Email</label>
                                <div class="form-group has-orange">

                                    {!! Form::email('email', null, array('class'=>'form-control empty', 'id'=>'cliente-email')) !!} 

                                </div>
                            </div>
                            
                        </div>

                        <div class="col-xs-6">
                            
                            <div class="control-group">
                                <label class="control-label">CPF/CNPJ</label>
                                <div class="form-group has-orange">
                                    
                                    {!! Form::text('cpfcnpj', null, array('class'=>'form-control empty', 'id'=>'cliente-cpfcnpj')) !!} 

                                </div>
                            </div>

                        </div>

                    </div> {{-- fim row --}}

                </form> <!-- fim form-cliente-novo -->

            </div>
            
            <div class="modal-footer">
                
                <div class="row">

                    <div class="col-xs-4">
                        
                        <span class="mensagem-cliente"></span>

                    </div>

                    <div class="col-xs-8 text-right">
                        
                        <button class="btn btn-primary" title="Salvar" id="bt-salvar-cliente">Salvar</button>
                        <button class="btn btn-default" onclick="" data-dismiss="modal" title="Cancelar"><i class="fa fa-reply"></i></button>

                    </div>
                    
                </div>
            
            </div> {{-- fim modal footer --}}

        </div><!-- /.modal-content -->

        </div><!-- /.modal-dialog -->

    </div><!-- /.modal -->
    